<?php
header('Access-Control-Allow-Origin: *');
header("Access-Control-Allow-Methods: POST");

require_once "../config.php";

$json = file_get_contents("php://input");
$data = json_decode($json);

$conn = connect_db();

$res = array();

if ($conn->connect_error) {
	die('Connection failed: ' . $conn->connect_error);
} else {
	$sql = "
		SELECT * 
		FROM `xmx_jichuyun` 
	";
	$result = $conn->query($sql);

	if ($result->num_rows > 0) {
		while ($row = $result->fetch_assoc()) {
			$temp = array(
				"renge" => $row["renge"],
				"dige" => $row["dige"],
				"desc" => $row["description"],
				"jixiong" => $row["jixiong"],
				"jixiong_icon" => $row["jixiong_icon"],
			);

			array_push($res, $temp);
		}
	}
}

$conn->close();
echo json_encode($res);
